 <!-- <section id="traveller">
    <div class="container-fluid bgclr">
      <ul class="breadcrumb reset">
      <h5>Fare</h5>
    </ul>
        <div class="card">
            <div class="card-body">
                <div class="row">
                    <div class="col-5 col-sm-5 col-md-6 col-lg-6">
                        <div class="d-flex flex-row bd-highlight mb-3">
                            <div class="p-2 bd-highlight">
                               
                                    <a [routerLink]="['add-location']" class="btn btn-success btn-mini">
                                     <i class="fa fa-plus"></i>   
                                     Add Fare</a>
                                 </div>
                        
                           
                        </div>
                    </div>
                    <div class="d-flex bd-highlight col-7 col-sm-7 col-md-3 col-lg-3 ml-auto">
                        <div class="p-2 flex-fill bd-highlight">

                            <div class="form-group">
                                <div class="input-group">
                                    <input type="text" class="form-control" placeholder="Search Place..."
                                        [(ngModel)]="searchText" type="text">
                                    <div class="input-group-append">
                                        <span class="input-group-text btnclrs">
                                            <i class="fa fa-search"></i>
                                        </span>
                                    </div>
                                </div>
                            </div>
                        </div>
                        <div class="p-2 flex-fill bd-highlight">
                            <button class="btn excelbtn" data-placement="left" data-toggle="tooltio" title="Excel">
                                <i aria-hidden="true" class="fa fa-file-excel-o fa-2x"></i>
                            </button>
                        </div>

                    </div>

                </div>
                <hr>

                <div class="card">
                    <div class="card-header">
                        Location
                    </div>
                    <div class="card-body">
                        <div class="table-responsive py-2">
                            <table class="table table-striped table-bordered">
                                <thead>
                                    <tr>
                                        <th scope="col">Sl.No</th>
                                        <th scope="col">Formatted Address</th>
                                        <th scope="col">Latitude</th>
                                        <th scope="col">Longitude</th>
                                        <th>Created At</th>
                                        <th></th>
                                    </tr>
                                </thead>
                                <tbody>
                                    <tr *ngFor="let location of loacationArray| filter:searchText| paginate: { itemsPerPage: 5, currentPage: page}; let i=index">
                                        <th *ngIf="page>1">{{((page-1)*5)+(i+1)}}</th>
                                        <th *ngIf="page==1">{{i+1}}</th>
                                        <td>{{location.formatted_address}}</td>
                                        <td>{{location.data.latitudeControl}}</td>
                                        <td>{{location.data.longitudeControl}}</td>
                                        <td>{{location.createdAt}}</td>
                                        <td>
                                            <a class="btn view">
                                                <i class="fa fa-eye" [routerLink]="['view-fare', location._id]" aria-hidden="true"></i>
                                            </a>

                                            <a class="btn edit" (click)="individualFare(location)">
                                                <i class="fa fa-pencil" aria-hidden="true"></i>
                                            </a>
                                            <a class="btn delete" (click)="delete(location._id)">
                                                <i class="fa fa-trash" aria-hidden="true"></i>
                                            </a>
                                        </td>
                                </tbody>
                            </table>
                        </div>
                        <div class="text-center">
                            <pagination-controls (pageChange)="page = $event"></pagination-controls>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
</section> -->

<!-- modal to update the value  -->

<!-- <div class="modal fade" id="fareModal" tabindex="-1" aria-labelledby="exampleModalLabel" aria-hidden="true">
    <div class="modal-dialog modal-lg">
      <div class="modal-content">
        <div class="modal-header">
          <h4 class="modal-title" id="exampleModalLabel">Individual Fare</h4>
          <button type="button" class="close" data-dismiss="modal" aria-label="Close">
            <span aria-hidden="true">&times;</span>
          </button>
        </div>
        <div class="modal-body">
         <form action="" [formGroup]="updateFareForm" (ngSubmit)="updateFare()">
            <div class="form-row">
                <div class="form-group col-md-6">
                  <label for="">Latitude</label>
                  <input type="number" class="form-control"  placeholder="Latitude" formControlName="latitudeControl" readonly>
                </div>
                <div class="form-group col-md-6">
                  <label for=""> Longitude</label>
                  <input type="number" class="form-control"  placeholder="Longitude" formControlName="longitudeControl" readonly>
                </div>
              </div>
            <div class="form-row">
                <div class="form-group col-md-6">
                  <label for="">Base Fare</label>
                  <input type="number" class="form-control"  placeholder="Base Fare" formControlName="baseFare">
                </div>
                <div class="form-group col-md-6">
                  <label for=""> Min charges</label>
                  <input type="number" class="form-control"  placeholder="Min charges" formControlName="minCharges">
                </div>
              </div>
              <div class="form-row">
                <div class="form-group col-md-6">
                  <label for="">Per min charges</label>
                  <input type="number" class="form-control"  placeholder="Per min charges" formControlName="perMinCharges">
                </div>
                <div class="form-group col-md-6">
                  <label for="">Cancel charges</label>
                  <input type="number" class="form-control"  placeholder="Cancel charges" formControlName="cancelCharges">
                </div>
              </div>
              <div class="form-row">
                <div class="form-group col-md-6">
                  <label for="">Booking Fee</label>
                  <input type="number" class="form-control"  placeholder="Booking Fee" formControlName="bookingFee">
                </div>
            </div>
                <table class="table table-bordered" formArrayName="kilometers">
                    <tr>
                      <th colspan="3">Per Km Charges:</th>
                      <th width="150px"><button type="button" (click)="addKilometers()" class="btn btn-primary">Add More</button></th>
                    </tr>
                    <tr *ngFor="let kilometer of kilometers().controls; let i=index" [formGroupName]="i">
                      <td>
                          Min Km :
                          <input type="number" formControlName="minKm" class="form-control">
                      </td>
                      <td>
                          Max Km:
                          <input type="number" formControlName="maxKm" class="form-control">
                      </td>
                      <td>
                        Fare:
                        <input type="number" formControlName="fare" class="form-control">
                    </td>
                      <td>
                          <button (click)="removeKilometers(i)" class="btn btn-danger">Remove</button>
                      </td>
                    </tr>
                  </table>
                  <div class="modal-footer">
                    <button type="button" class="btn" data-dismiss="modal" style="background-color: #BEBEBE;">Close</button>
                    <button type="submit" class="btn" id="submitFare" style="background-color: #28a745;color: white;">Update Fare</button>
                  </div>
         </form>
        </div>
      
      </div>
    </div>
  </div>  -->

